# Copyright (c) 2001 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307
# USA.

"""
Set of interface used to create an undo/redo pattern
"""

__revision__ = "$Id: Commands.py,v 1.2 2001/09/05 07:54:56 guil Exp $"

class Command:
    """
    Command Interface using in undo/redo method
    """

    def Execute(self):
        pass

    def Unexecute(self):
        pass

class AddTransitionCommand(Command):
    """
    Add transition command for recipe edition
    """
    
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass

class RemoveTransitionCommand(Command):
    """
    Remove transition command for recipe edition
    """
    
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass


class AddStepCommand(Command):
    """
    Add step command for recipe edition
    """
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass

class RemoveStepCommand(Command):
    """
    Remove step command for recipe edition
    """
    
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass

class AddConnectionCommand(Command):
    """
    Add connection command for recipe edition
    """
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass

class RemoveConnectionCommand(Command):
    """
    Remove connection command for recipe edition
    """
    def __init__(self):
        pass

    def Execute(self):
        pass

    def Unexecute(self):
        pass
    
